package controllers

import (
	"strings"

	"github.com/astaxie/beego"
)

// Authenticate 权限验证
func (c *BaseController) authenticate() {
	if !c.needAuth() {
		return
	}

	userID, _ := c.GetSession(SNUserID).(string)
	// userType := c.GetSession(SNUserType).(string)

	// 未登录状态
	if userID == "" {
		return
	}

	// clientType := utils.GetClientType()
	// if clientType == utils.ClientWechat {

	// }

}

func (c *BaseController) needAuth() bool {
	route := c.Ctx.Input.URL()
	apiPrefix := beego.AppConfig.String("api::prefix")
	guestAPI := beego.AppConfig.String("api::guest")

	if strings.Index(route, apiPrefix+guestAPI) > -1 {
		return false
	}

	return true
}
