package service

import (
	"reflect"
	"spaceofcheng/services/utils"

	"github.com/zjxpcyc/tinyevent"
)

// 内置事件列表
const (
	EvtRegiste = "reigste"
)

// EventServ 事件 Serv
type EventServ struct{}

// ListenAllEvent 监听所有事件
func (s *EventServ) ListenAllEvent() {
	// 所有需要执行的事件
	allEvts, err := s.getAllEvents()
	if err != nil {
		utils.LogError(err)
	}

	// 刷新中控中心
	utils.ResetEvtBus()

	for evt, mth := range allEvts {
		act := func(e tinyevent.Event) error {
			s.execAction(e, mth)
			return nil
		}

		utils.ListenEvent(evt, act)
	}
}

// ExecAction 反射执行动作
func (s *EventServ) execAction(e tinyevent.Event, mth string) {
	this := reflect.ValueOf(s)
	v := this.MethodByName(mth)
	if v.IsValid() {
		v.Call([]reflect.Value{reflect.ValueOf(e)})
	}
}

func (s *EventServ) getAllEvents() (map[string]string, error) {
	// todo
	return map[string]string{
		"foo": "Foo",
	}, nil
}
