package utils

import (
	"errors"

	"github.com/astaxie/beego"
)

// LogError 错误日志
func LogError(v ...interface{}) error {
	beego.Error(v...)

	if len(v) > 0 {
		switch err := v[0].(type) {
		case string:
			return errors.New(err)
		case error:
			return err
		default:
			return errors.New("Unknown error type")
		}
	}

	return nil
}
